/**
 * Ensures that a key exists and returns it.
 * If the key is undefined, it falls back to the value of env.BROWSERSTACK_KEY.
 * Throws a BrowserStackError if the key is missing or empty.
 * @param key - The key to ensure.
 * @returns The ensured key.
 * @throws {BrowserStackError} If the key is missing or empty.
 *
 * @internal
 */
export declare function ensureKeyExists(key: string | undefined): string;
/**
 * Ensures that a username exists and returns it.
 * If the key is undefined, it falls back to the value of env.BROWSERSTACK_USERNAME.
 * Throws a BrowserStackError if the key is missing or empty.
 * @param key - The key to ensure.
 * @returns The ensured key.
 * @throws {BrowserStackError} If the key is missing or empty.
 *
 * @internal
 */
export declare function ensureUsernameExists(key: string | undefined): string;
